Solid Edge FrameworkSupport Type Library
SetTerminator Method
Specifies the annotation object to which the leader is to be connected.
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
Specifies whether the object or a key point of the terminator object is to be used. If True, the leader's terminal end is placed with respect to the TerminatorObject; if False, the nearest key point on that object is selected.
Description
Specifies the coordinates of the terminal connect point for a leader line belonging to the referenced dimensioning object.
Syntax
Visual Basic
Public Sub SetTerminator( _
   ByVal TerminatorObj As Object, _
   ByVal x As Double, _
   ByVal y As Double, _
   ByVal z As Double, _
   ByVal keyPoint As Boolean _
) 
Parameters
TerminatorObj
Specifies the annotation object to which the leader is to be connected.
x
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
y
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
z
Coordinates of the locate point for the terminator object. This point is used as a proximity point while calculating the key point.
keyPoint
Specifies whether the object or a key point of the terminator object is to be used. If True, the leader's terminal end is placed with respect to the TerminatorObject; if False, the nearest key point on that object is selected.
Remarks
If the annotation object is placed with respect to a key point, the point of reference is the key point.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeDraft.DraftDocument
    Dim objSheet As SolidEdgeDraft.Sheet
    Dim objDatums As SolidEdgeFrameworkSupport.DatumFrames
    Dim objDtmFrm As SolidEdgeFrameworkSupport.DatumFrame
    Dim objLine As SolidEdgeFrameworkSupport.Line2d
    Dim objCircle As SolidEdgeFrameworkSupport.Circle2d
    Dim objTermObject As Object
    Dim dblX As Double, dblY As Double, dblZ As Double
    Dim bKeyPt As Boolean
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Get the Active Sheet object
    Set objSheet = objDoc.ActiveSheet
    ' Create a Line object
    Set objLine = objSheet.Lines2d.AddBy2Points(x1:=0.1, y1:=0.1, x2:=0.2, y2:=0.1)
    ' Create a DatumFrames collection object
    Set objDatums = objSheet.DatumFrames
    ' Add a DatumFrame object
    Set objDtmFrm = objDatums.AddByTerminator(TerminatorObject:=objLine, _
                                              x1:=0.15, y1:=0.1, z1:=0, keyPoint1:=False)
    objDtmFrm.Datum = "Test"
    ' Create a Circle
    Set objCircle = objSheet.Circles2d.AddByCenterRadius(x:=0.2, y:=0.3, Radius:=0.06)
    ' Set the Terminator object
    Call objDtmFrm.SetTerminator(TerminatorObj:=objCircle, _
                                 x:=0.26, y:=0.3, z:=0, Keypoint:=False)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objSheet = Nothing
    Set objDatums = Nothing
    Set objDtmFrm = Nothing
    Set objLine = Nothing
    Set objCircle = Nothing
End Sub
See Also

DatumFrame Object  | DatumFrame Members